.header-mobile {
    top: 0;
    left: 0;
    right: 0;
    z-index: 900;
    position: fixed;
    background: $white;
    border-bottom: 1px solid #C4C4C4;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);

    &__wrap {
        height: rem(60);
        padding-left: rem(44);
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        width: rem(87);
        display: block;
    }

    &__hamburger {
        left: 0;
        top: calc(50% - 10px);
        position: absolute;
    }

    &__buttons {
        display: none;
    }

    &__content {
        display: flex;
        align-items: center;
    }

    &__phone {
        z-index: 10;
        color: $dark;
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(24);
        position: relative;
        display: inline-flex;
        align-items: center;
        justify-content: flex-end;
        text-decoration: none;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(24);
            display: inline-block;
            margin-left: rem(5);
        }

        &:hover {
            color: $dark;
            text-decoration: none;
        }
    }

    &__city {
        color: $dark;
        fill: #9D9D9C;
        z-index: 10;
        margin: 0;
        padding: 0;
        width: 100%;
        border: none;
        outline: none;
        background: transparent;
        position: relative;
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(16);
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: flex-end;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(13);
            display: inline-block;
            margin-right: rem(3);
        }
    }

    &__ring {
        margin: 0;
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: 36px;
        height: 36px;
        position: relative;
        display: block;
        background: transparent;
        margin-left: rem(3);

        &:before {
            top: calc(50% - 18px);
            left: calc(50% - 18px);
            width: 36px;
            height: 36px;
            content: '';
            border-radius: 50%;
            background: $green;
            position: absolute;
            -webkit-animation: pulse 1.5s infinite;
        }

        i {
            z-index: 10;
            height: 100%;
            position: relative;
            display: inline-block;
            animation: 1200ms ease 0s normal none 1 running shake;
            animation-iteration-count: infinite;
        }
    }

    @include media-breakpoint-up(md) {
    }

    @include media-breakpoint-up(lg) {

        &__buttons {
            display: flex;
            align-items: center;

            &__item {
                margin: 0 rem(8);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        display: none;
    }

    @include media-breakpoint-up(xxl) {}
}

.hamburger {
    width: 20px;
    height: 20px;
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;

    span,
    &:after,
    &:before {
        right: 0;
        width: 20px;
        height: 4px;
        content: '';
        border-radius: 2px;
        background: $dark;
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
    }

    span {
        top: calc(50% - 2px);
    }

    &:after {
        top: 0;
    }

    &:before {
        top: calc(100% - 4px);
    }

    &.hamburger--open {

    }
}

.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 900;
    display: none;
    position: fixed;
    background: $white;
    border-top: 5px solid $green;
    border-bottom: 1px solid #C4C4C4;

    &__wrap {
        height: rem(94);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        flex-shrink: 0;
        width: rem(165);
        display: block;
        margin-right: rem(36);
    }

    &__main {
        flex-grow: 1;
    }

    &__menu {
        margin: 0 0 rem(14) 0;
        padding: 0;
        font-weight: 500;
        font-size: rem(10);
        line-height: rem(11);
        list-style: none;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__link {
            color: $dark;
            padding: rem(6) 0;
            white-space: nowrap;
            display: inline-block;
            text-decoration: none;
            border-bottom: 1px solid transparent;
            transition: .3s;

            &.active,
            &:hover {
                color: $dark;
                text-decoration: none;
                border-bottom-color: $dark;
            }
        }
    }

    &__info {
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    &__buttons {
        display: flex;
        align-items: center;

        &__item {
            margin-left: rem(20);

            .btn {
                min-width: rem(200);
            }
        }
    }

    &__phone {
        color: $dark;
        font-weight: 700;
        font-size: 24px;
        margin-left: rem(30);
        line-height: rem(32);
        text-decoration: none;
        display: inline-block;

        &:hover {
            color: $dark;
            text-decoration: none;
        }
    }

    &__city {
        color: $dark;
        fill: #9D9D9C;
        padding: 0;
        border: none;
        outline: none;
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(24);
        cursor: text !important;
        background: transparent;
        display: inline-flex;
        align-items: center;
        margin-right: rem(10);

        i {
            font-size: 0;
            line-height: 0;
            height: rem(17);
            margin-right: rem(5);
            display: inline-block;
        }

        span {
            display: inline-block
        }
    }

    @include media-breakpoint-up(xl) {
        display: block;
    }
}

.header-nav {
    display: none;
    background: $white;
    border-bottom: 1px solid #C4C4C4;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);

    &__main {
        height: rem(85);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    @include media-breakpoint-up(xl) {
        display: block;
    }
}
